#ifndef CLIENT_H
#define CLIENT_H

#define CMD_GET_METRICS 0x00
#define CMD_GET_USER_PAGES 0x01
#define CMD_LIST_USERS 0x02
#define CMD_MODIFY_USERNAME 0x03
#define CMD_MODIFY_PASSWORD 0x04
#define CMD_ADD_USER 0x05
#define CMD_DELETE_USER 0x06
#define CMD_GET_PASSWORD_DISSECTOR_STATUS 0x07
#define CMD_MODIFY_PASSWORD_DISSECTOR_STATUS 0x08
#define CMD_GET_AUTHENTICATION_STATUS 0x09
#define CMD_MODIFY_AUTHENTICATION_STATUS 0x0A

#define RESPONSE_OK 0x00
#define RESPONSE_SERVER_ERROR 0xA0
#define RESPONSE_INVALID_TOKEN 0xB0
#define RESPONSE_INVALID_PARAMETER 0xC0
#define RESPONSE_USER_NOT_FOUND 0xC1
#define RESPONSE_USER_ALREADY_EXISTS 0xC2
#define RESPONSE_VERSION_NOT_SUPPORTED 0xD0
#define RESPONSE_UNKNOWN_COMMAND 0xFE
#define RESPONSE_CMD_NOT_SUPPORTED 0xFF

#endif
