#ifndef ARGS_H
#define ARGS_H

#include <stdbool.h>
#include <stdint.h>

#define MAX_USERS 1024

typedef struct user_t {
    char * name;
    char * pass;
    int ulen;
} user_t;

struct socks5args {
    char * socks_addr;
    unsigned short socks_port;
    char * mng_addr;
    unsigned short mng_port;

    bool dissector_enabled;

    unsigned nusers;

    user_t users[MAX_USERS];
};

void parse_args(int argc, char ** argv, struct socks5args * args);

#endif

